Skip to content

Change the account password

POST
/profile/change-password
curl --request POST \
--url https://api.proxyrequest.com/api/v1/profile/change-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "old_password": "Previous-Password-42", "new_password1": "New-Secure-Password-43", "new_password2": "New-Secure-Password-43" }'

Verifies the current password, applies the new password, and keeps the current authenticated session active.

object
old_password
required
string
>= 1 characters
new_password1
required
string
>= 1 characters
new_password2
required
string
>= 1 characters
Examples
ExampleChangePassword

Change password

{
"old_password": "Previous-Password-42",
"new_password1": "New-Secure-Password-43",
"new_password2": "New-Secure-Password-43"
}

The operation completed successfully.

Media typeapplication/json
object
detail
required
string
Examples
ExamplePasswordChanged

Password changed

{
"detail": "Password changed successfully."
}

The request is malformed or violates a business rule.

Media typeapplication/json

Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.

object
detail
string
non_field_errors
Array<string>
translation

Stable translation key suitable for client localisation.

string
key
additional properties
One of:
string
Examples
ExampleValidationError

Validation error

{
"non_field_errors": [
"The request could not be processed."
],
"translation": "errors.request.invalid"
}

Authentication credentials are missing, expired, or invalid.

Media typeapplication/json

Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.

object
detail
string
non_field_errors
Array<string>
translation

Stable translation key suitable for client localisation.

string
key
additional properties
One of:
string
Examples
ExampleAuthenticationRequired

Authentication required

{
"detail": "Authentication credentials were not provided."
}

The authenticated account cannot perform this operation.

Media typeapplication/json

Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.

object
detail
string
non_field_errors
Array<string>
translation

Stable translation key suitable for client localisation.

string
key
additional properties
One of:
string
Examples
ExamplePermissionDenied

Permission denied

{
"detail": "You do not have permission to perform this action."
}